# 2.1.2 Initiativen zum Austausch von Metadaten

## Open Bibliographic Data

Die "Open Bibliographic Data Working Group" der Open Knowledge Foundation hat 2011 Prinzipien zu offenen bibliografischen Daten veröffentlicht (vgl. [Webseite im Internet Archive](http://web.archive.org/web/20160426071002/http://openbiblio.net/principles/)):

* Grundlage: [Open Definition](http://opendefinition.org) "Wissen ist offen, wenn jedeR darauf frei zugreifen, es nutzen, verändern und teilen kann"
* Empfohlene Lizenzen: Public Domain Dedication and License (PDDL) oder Creative Commons Zero (CC0)

Gemeinsam mit der Public Domain Working Group ist ein "Open Metadata Handbook" entstanden. Letzte stabile Version vom 12.3.2014: https://en.wikibooks.org/w/index.php?title=Open_Metadata_Handbook&stable=1

## Metadateninteroperabilität

* die Einigung auf ein einziges übergreifendes Metadatenformat ist nicht realistisch, weil verschiedene Ressourcen beschrieben werden sollen und verschiedene Anforderungen an die Daten gestellt werden (und weil unterschiedliche Katalogisierungstraditionen bestehen)
* Eine Interoperabilität zwischen Formaten muss durch Werkzeuge erreicht werden
* setzt offene Standards voraus

## Beispiel Open Library

* Ziel: "One web page for every book"
* Teilprojekt des Internet Archives
* Daten sind gemeinfrei, stammen von Verlagen, Bibliotheken und Privatpersonen
* strukturiertes Wiki im Hintergrund
* gestartet von [Aaron Swartz](http://www.aaronsw.com/weblog/openlibrary) (sehenswerte Filmdokumentation über Aaron Swartz: [The Internet's Own Boy](https://en.wikipedia.org/wiki/The_Internet's_Own_Boy))

## Bespiel Deutsche Nationalbibliothek

* seit 1.7.2015 stehen die Titeldaten der DNB und die Normdaten der GND unter CC-0 zur Verfügung
* einmalige kostenfreie Anmeldung und Autorisierung notwendig
* Bezug über Online-Schnittstellen (SRU, OAI)
* Formate: MARC21, MARC21XML, RDF

## Chancen durch offene Daten

* steigende Bedeutung von Bibliotheken durch mehr Sichtbarkeit im Web
* Nachnutzung der Daten z.B. von Verlagen, Archiven, Wikipedia
* Chance für Kooperationen und Forschung mit den Daten
* Kataloganreicherung (z.B. Schlagwörter): verbesserte Recherchequalität

## Gründe für geringe Beteiligung von Bibliotheken

* keine Notwendigkeit?
* Gefühl, die akribisch gesammelten Daten zu verschenken
* Angst, überflüssig zu werden
* nicht zuständig fühlen: Aufgabe der Bibliotheksverbünde

## Ausblick

Die Open Bibliographic Data Working Group der Open Knowledge Foundation ist leider nicht mehr aktiv. Generell sind Initiativen zum Austausch von Metadaten zwischen Bibliotheken eher rückläufig, stattdessen wird seit etwa 2013 auf politischer Ebene eine zentralistische Lösung gesucht. Aktuell arbeiten beispielsweise die Bibliotheksverbünde GBV und SWB an einer vertieften Kooperation (vgl. https://www.bsz-bw.de/news.html?id=445).

Eine vielversprechende aktuelle Entwicklung ist das Projekt "WikiCite" der Wikimedia, das zum Ziel wissenschaftliche Ressourcen in Wikidata nachzuweisen und damit u.a. für Referenzen in der Wikipedia nutzbar zu machen. 2016 gab es dazu eine große Veranstaltung in Berlin: https://meta.wikimedia.org/wiki/WikiCite_2016
