# Summary

* [Einleitung](README.md)
* [Kapitel 1](1-0-einfuehrung-ins-thema-und-installation-der-arbeitsumgebung.md)
 * [1.1 Einführung in Discovery-Systeme in Bibliotheken](1-1-0-einfuehrung-in-discovery-systeme-in-bibliotheken.md)
   * [1.1.1 OPAC vs. Discovery-System](1-1-1-opac-vs-discovery-system.md)
   * [1.1.2 Zwischenbilanz mit Problemen und Lösungsansätzen](1-1-2-zwischenbilanz-mit-problemen-und-loesungsansaetzen.md)
   * [1.1.3 Marktüberblick](1-1-3-marktueberblick.md)
 * [1.2 Open-Source-Software für Bibliothekskataloge](1-2-0-open-source-software-fuer-bibliothekskataloge.md)
   * [1.2.1 Pro & Contra von Open Source](1-2-1-pro+contra-von-open-source.md)
   * [1.2.2 Open Source Software zur Verarbeitung und Analyse von Metadaten](1-2-2-open-source-software-fuer-verarbeitung-von-metadaten.md) (Christensen 2014)
   * [1.2.3 Auswahl der Software für das Seminar](1-2-3-auswahl-der-software-fuer-das-seminar.md)
 * [1.3 Grundinstallation der Arbeitsumgebung](1-3-0-grundinstallation-der-arbeitsumgebung.md)
   * [1.3.1 Installation der virtuellen Maschine](1-3-1-installation-der-virtuellen-maschine.md)
   * [1.3.2 Einführung in die Linux Kommandozeile](1-3-2-einfuehrung-in-die-linux-kommandozeile.md)
   * [1.3.3 Übung mit der Kommandozeile](1-3-3-uebung-mit-der-kommandozeile.md)
* [Kapitel 2](2-0-metadaten-laden-und-mit-openrefine-transformieren.md)
 * [2.1 Einführung in Metadatenformate und Schnittstellen](2-1-0-einfuehrung-in-metadatenformate-und-schnittstellen.md)
   * [2.1.1 Metadatenformate und -standards](2-1-1-metadatenformate-und-standards.md)
   * [2.1.2 Initiativen zum Austausch von Metadaten](2-1-2-initiativen-zum-austausch-von-metadaten.md)
   * [2.1.3 Schnittstellen des Bibliotheksverbunds GBV](2-1-3-schnittstellen-des-bibliotheksverbunds-gbv.md)
 * [2.2 Metadaten über eine Schnittstelle laden](2-2-0-metadaten-ueber-eine-Schnittstelle-laden.md)
   * [2.2.1 Übung: unAPI-Schnittstelle des GBV](2-2-1-uebung-unapi-schnittstelle-des-gbv.md)
   * [2.2.2 Übung: Vergleich der verschiedenen Formate](2-2-2-uebung-vergleich-der-verschiedenen-formate.md)
   * [2.2.3 Download der Metadaten](2-2-3-download-der-metadaten.md)
 * [2.3 Metadaten transformieren mit OpenRefine](2-3-0-metadaten-transformieren-mit-openrefine.md)
   * [2.3.1 Installation OpenRefine](2-3-1-installation-openrefine.md)
   * [2.3.2 OpenRefine starten und Daten laden](2-3-2-openrefine-starten-und-daten-laden.md)
   * [2.3.3 Facetten und Text Filter](2-3-3-facetten-und-text-filter.md)
   * [2.3.4 Records bilden](2-3-4-records-bilden.md)
   * [2.3.5 Für jedes MARC-Feld eine Spalte](2-3-5-fuer-jedes-marc-feld-eine-spalte.md)
* [Kapitel 3](3-0-transformierte-metadaten-mit-solr-indexieren.md)
 * [3.1 Daten mit OpenRefine für Indexierung vorbereiten](3-1-0-daten-mit-openrefine-fuer-indexierung-vorbereiten.md)
   * [3.1.1 Transformationshistorie anwenden](3-1-1-transformationshistorie-anwenden.md)
   * [3.1.2 Alle Daten automatisiert verarbeiten](3-1-2-alle-daten-automatisiert-verarbeiten.md)
   * [3.1.3 Felder definieren und Daten exportieren](3-1-3-felder-definieren-und-daten-exportieren.md)
 * [3.2 Suchmaschinenindex Solr](3-2-0-suchmaschinenindex-solr.md)
   * [3.2.1 Installation von Solr](3-2-1-installation-von-solr.md)
   * [3.2.2 Konfiguration des Solr Schemas](3-2-2-konfiguration-des-solr-schemas.md)
   * [3.2.3 TSV-Dateien in Solr laden](3-2-3-tsv-dateien-in-solr-laden.md)
* [Kapitel 4](4-0-prototyp-eines-katalogs-mit-typo3-find-bauen.md)
  * [4.1 Katalogoberfläche TYPO3-find](4-1-0-katalogoberflaeche-typo3-find.md)
   * [4.1.1 Installation von TYPO3](4-1-1-installation-von-typo3.md)
   * [4.1.2 Erweiterung TYPO3-find installieren](4-1-2-erweiterung-typo3-find-installieren.md)
   * [4.1.3 TYPO3-find anpassen](4-1-3-typo3-find-anpassen.md)
  * [4.2 Zwischenfazit](4-2-0-zwischenfazit.md)
   * [4.2.1 Was haben wir im Seminar erreicht?](4-2-1-was-haben-wir-im-seminar-erreicht.md)
   * [4.2.2 Was fehlt noch für einen Produktivbetrieb?](4-2-2-was-fehlt-noch-fuer-einen-produktivbetrieb.md)
* [Kapitel 5](5-0-erweiterungsmoeglichkeiten.md)
  * [5.1 Zusätzliche Daten über OAI-Schnittstelle laden und mit OpenRefine verarbeiten](5-1-zusaetzliche-daten-ueber-oai-schnittstelle.md)
  * [5.2 Relevanzranking mit TYPO3-find und Solr konfigurieren](5-2-relevanzranking-mit-typo3-find-und-solr.md)
* [Lerntagebücher](lerntagebuecher.md)
* [Prüfungsleistungen](pruefungsleistungen.md)
